<?php
/**
 * VW Wellness Coach: Block Patterns
 *
 * @package VW Wellness Coach
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-wellness-coach',
		array( 'label' => __( 'VW Wellness Coach', 'vw-wellness-coach' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-wellness-coach/banner-section',
		array(
			'title'      => __( 'Banner Section', 'vw-wellness-coach' ),
			'categories' => array( 'vw-wellness-coach' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . get_theme_file_uri() . "/inc/block-patterns/images/banner.png\",\"id\":2220,\"dimRatio\":20,\"align\":\"full\",\"className\":\"banner-section px-md-5\"} -->\n<div class=\"wp-block-cover alignfull has-background-dim-20 has-background-dim banner-section px-md-5\"><img class=\"wp-block-cover__image-background wp-image-2220\" alt=\"\" src=\"" . get_theme_file_uri() . "/inc/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"className\":\"mx-lg-5\"} -->\n<div class=\"wp-block-columns mx-lg-5\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-white-color has-text-color\" style=\"font-size:40px\">Lorem Ipsum&nbsp;is simply</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\" style=\"font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s,</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:15px\"><a class=\"wp-block-button__link\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-wellness-coach/services-section',
		array(
			'title'      => __( 'Trainer Section', 'vw-wellness-coach' ),
			'categories' => array( 'vw-wellness-coach' ),
			'content'    => "<!-- wp:group {\"style\":{\"color\":{\"text\":\"#313a43\"}},\"className\":\"trainer-section py-5\"} -->\n<div class=\"wp-block-group trainer-section py-5 has-text-color\" style=\"color:#313a43\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"},\"color\":{\"text\":\"#222426\"}}} -->\n<h2 class=\"has-text-align-center has-text-color\" style=\"color:#222426;font-size:30px\">MEET OUR TALENTED AND HARD WORKING TEAM</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":2238,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-full\"><img src=\"" . get_theme_file_uri() . "/inc/block-patterns/images/heart beat.png\" alt=\"\" class=\"wp-image-2238\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"className\":\"trainer-boxes mb-4\"} -->\n<div class=\"wp-block-group trainer-boxes mb-4\"><!-- wp:image {\"id\":2258,\"sizeSlug\":\"thumbnail\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-thumbnail\"><img src=\"" . get_theme_file_uri() . "/inc/block-patterns/images/trainer-1.png\" alt=\"\" class=\"wp-image-2258\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"boxes-content\"} -->\n<div class=\"wp-block-group boxes-content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"22px\"}},\"className\":\"box-title\"} -->\n<h3 class=\"has-text-align-center box-title\" style=\"font-size:22px\">Trainer - 1</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"className\":\"box-post\"} -->\n<p class=\"has-text-align-center box-post\" style=\"font-size:15px\">Lorem ipsum&nbsp;is simply dummy text of the printing and typesetting industry</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"contentJustification\":\"center\"} -->\n<div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#2ecc71\"}},\"className\":\"box-btn\"} -->\n<div class=\"wp-block-button box-btn\"><a class=\"wp-block-button__link has-background\" style=\"background-color:#2ecc71\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"className\":\"trainer-boxes mb-4\"} -->\n<div class=\"wp-block-group trainer-boxes mb-4\"><!-- wp:image {\"id\":2295,\"sizeSlug\":\"thumbnail\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-thumbnail\"><img src=\"" . get_theme_file_uri() . "/inc/block-patterns/images/trainer-2.png\" alt=\"\" class=\"wp-image-2295\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"boxes-content\"} -->\n<div class=\"wp-block-group boxes-content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"22px\"}},\"className\":\"box-title\"} -->\n<h3 class=\"has-text-align-center box-title\" style=\"font-size:22px\">Trainer - 2</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"className\":\"box-post\"} -->\n<p class=\"has-text-align-center box-post\" style=\"font-size:15px\">Lorem ipsum&nbsp;is simply dummy text of the printing and typesetting industry</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"contentJustification\":\"center\"} -->\n<div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#2ecc71\"}},\"className\":\"box-btn\"} -->\n<div class=\"wp-block-button box-btn\"><a class=\"wp-block-button__link has-background\" style=\"background-color:#2ecc71\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"className\":\"trainer-boxes mb-4\"} -->\n<div class=\"wp-block-group trainer-boxes mb-4\"><!-- wp:image {\"id\":2296,\"sizeSlug\":\"thumbnail\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-thumbnail\"><img src=\"" . get_theme_file_uri() . "/inc/block-patterns/images/trainer-3.png\" alt=\"\" class=\"wp-image-2296\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"boxes-content\"} -->\n<div class=\"wp-block-group boxes-content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"22px\"}},\"className\":\"box-title\"} -->\n<h3 class=\"has-text-align-center box-title\" style=\"font-size:22px\">Trainer - 3</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"className\":\"box-post\"} -->\n<p class=\"has-text-align-center box-post\" style=\"font-size:15px\">Lorem ipsum&nbsp;is simply dummy text of the printing and typesetting industry</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"contentJustification\":\"center\"} -->\n<div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#2ecc71\"}},\"className\":\"box-btn\"} -->\n<div class=\"wp-block-button box-btn\"><a class=\"wp-block-button__link has-background\" style=\"background-color:#2ecc71\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"className\":\"trainer-boxes mb-4\"} -->\n<div class=\"wp-block-group trainer-boxes mb-4\"><!-- wp:image {\"id\":2297,\"sizeSlug\":\"thumbnail\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-thumbnail\"><img src=\"" . get_theme_file_uri() . "/inc/block-patterns/images/trainer-4.png\" alt=\"\" class=\"wp-image-2297\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"boxes-content\"} -->\n<div class=\"wp-block-group boxes-content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"22px\"}},\"className\":\"box-title\"} -->\n<h3 class=\"has-text-align-center box-title\" style=\"font-size:22px\">Trainer - 4</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"className\":\"box-post\"} -->\n<p class=\"has-text-align-center box-post\" style=\"font-size:15px\">Lorem ipsum&nbsp;is simply dummy text of the printing and typesetting industry</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"contentJustification\":\"center\"} -->\n<div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#2ecc71\"}},\"className\":\"box-btn\"} -->\n<div class=\"wp-block-button box-btn\"><a class=\"wp-block-button__link has-background\" style=\"background-color:#2ecc71\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}